/* =============================================================================================== */
/* Copyright (c) 2010    (aka TheXpert)                                  */
/*                                                                                                 */
/*   , , ,               */
/*     (   " "),   */
/*     ,               */
/* , , , , , ,                 */
/*  /    ,    ,              */
/*     ,    :       */
/*                                                                                                 */
/*                                                                                                 */
/*                      */
/*    .                                                         */
/*                                                                                                 */
/*      ܻ,    ,        */
/*   , ,      ,   */
/*        .           */
/*         ,          */
/*    ,   ,  ,       */
/*                */
/*    .                                                          */
/* =============================================================================================== */

//+------------------------------------------------------------------+
//|                                      DragTrade_TradeSettings.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TheXpert"
#property link      "theforexpert@gmail.com"

#property show_inputs

#include <DragTrade_v_1.0/DragTrade_Property.mqh>
#include <DragTrade_v_1.0/DragTrade_Properties/TradingProperties.mqh>

extern string  _1_                  = "Lot size for opening orders. If 0 not used. Risk percentage is used instead";
extern bool    Set_1_               = false;
extern double  TradeLots            = DefaultTradeLots;
extern string  _2_                  = "Risk for opening orders. 0-100. If 0 -- minimal lot is used";
extern bool    Set_2_               = false;
extern double  RiskPercentage       = DefaultRiskPercentage;
extern string  _3_                  = "If 0 -- fixed TP = TargetPoints, if 1 -- TP depends of SL, TP = TargetKoef*SL";
extern bool    Set_3_               = false;
extern int     TargetMethod         = DefaultTargetMethod;
extern string  _4_                  = "TP in points";
extern bool    Set_4_               = false;
extern int     TargetPoints         = DefaultTargetPoints;
extern string  _5_                  = "TP koef";
extern bool    Set_5_               = false;
extern double  TargetKoef           = DefaultTargetKoef;

int start()
{
   SetTesting();
   DoIt();

   return(0);
}

void DoIt()
{
   if (Set_1_) SetProperty(TradeLotsName,       TradeLots);
   if (Set_2_) SetProperty(RiskPercentageName,  RiskPercentage);
   if (Set_3_) SetProperty(TargetMethodName,    TargetMethod);
   if (Set_4_) SetProperty(TargetPointsName,    TargetPoints);
   if (Set_5_) SetProperty(TargetKoefName,      TargetKoef);
}